Package tigase.server.script

## Interface CommandIfc

- All Superinterfaces:
    `StatisticHolder`
  All Known Implementing Classes:
    `AbstractScriptCommand`, `AddScriptCommand`, `RemoveScriptCommand`, `Script`, `SetLoggingCommand`

      public interface CommandIfc
      extends StatisticHolder

  Created: Jan 2, 2009 1:20:16 PM
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ADD_SCRIPT_CMD` |
    `static java.lang.String` | `ADMINS_SET` |
    `static java.lang.String` | `ADMN_CMDS` |
    `static java.lang.String` | `ADMN_DISC` |
    `static java.lang.String` | `AUTH_REPO` |
    `static java.lang.String` | `COMMAND_ID` |
    `static java.lang.String` | `COMMANDS_ACL` |
    `static java.lang.String` | `COMPONENT` |
    `static java.lang.String` | `COMPONENT_NAME` |
    `static java.lang.String` | `CONNECTED_NODES` |
    `static java.lang.String` | `CONNECTED_NODES_WITH_LOCAL` |
    `static java.lang.String` | `DEL_SCRIPT_CMD` |
    `static java.lang.String` | `DESCRIPT` |
    `static java.lang.String` | `EVENTBUS` |
    `static java.lang.String` | `GROUP` |
    `static java.lang.String` | `LANGUAGE` |
    `static java.lang.String` | `PACKET` |
    `static java.lang.String` | `REMOVE_FROM_DISK` |
    `static java.lang.String` | `SAVE_TO_DISK` |
    `static java.lang.String` | `SCRI_MANA` |
    `static java.lang.String` | `SCRIPT_BASE_DIR` |
    `static java.lang.String` | `SCRIPT_CLASS` |
    `static java.lang.String` | `SCRIPT_COMP_DIR` |
    `static java.lang.String` | `SCRIPT_COMPONENT` |
    `static java.lang.String` | `SCRIPT_DESCRIPTION` |
    `static java.lang.String` | `SCRIPT_GROUP` |
    `static java.lang.String` | `SCRIPT_ID` |
    `static java.lang.String` | `SCRIPT_RESULT` |
    `static java.lang.String` | `SCRIPT_TEXT` |
    `static java.lang.String` | `SERVICES_MAP` |
    `static java.lang.String` | `USER_CONN` |
    `static java.lang.String` | `USER_REPO` |
    `static java.lang.String` | `USER_SESS` |
    `static java.lang.String` | `VHOST_MANAGER` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.script.Bindings` | `getBindings()` |
    `java.lang.String` | `getCommandId()` |
    `java.lang.String` | `getDescription()` |
    `java.lang.String` | `getGroup()` |
    `void` | `init​(java.lang.String id, java.lang.String description, java.lang.String group)` |
    `boolean` | `isAdminOnly()` |
    `void` | `runCommand​(Iq packet, javax.script.Bindings binds, java.util.Queue<Packet> results)` |
    `void` | `setAdminOnly​(boolean adminOnly)` |

    - ### Methods inherited from interface tigase.stats.StatisticHolder

      `everyHour, everyMinute, everySecond, getStatistics, setStatisticsPrefix, statisticExecutedIn`

- - ### Field Detail

    - #### VHOST_MANAGER

          static final java.lang.String VHOST_MANAGER

      See Also:
        Constant Field Values

    - #### ADMINS_SET

          static final java.lang.String ADMINS_SET

      See Also:
        Constant Field Values

    - #### COMMANDS_ACL

          static final java.lang.String COMMANDS_ACL

      See Also:
        Constant Field Values

    - #### ADMN_CMDS

          static final java.lang.String ADMN_CMDS

      See Also:
        Constant Field Values

    - #### USER_REPO

          static final java.lang.String USER_REPO

      See Also:
        Constant Field Values

    - #### AUTH_REPO

          static final java.lang.String AUTH_REPO

      See Also:
        Constant Field Values

    - #### USER_SESS

          static final java.lang.String USER_SESS

      See Also:
        Constant Field Values

    - #### USER_CONN

          static final java.lang.String USER_CONN

      See Also:
        Constant Field Values

    - #### ADMN_DISC

          static final java.lang.String ADMN_DISC

      See Also:
        Constant Field Values

    - #### SCRI_MANA

          static final java.lang.String SCRI_MANA

      See Also:
        Constant Field Values

    - #### SCRIPT_BASE_DIR

          static final java.lang.String SCRIPT_BASE_DIR

      See Also:
        Constant Field Values

    - #### SCRIPT_COMP_DIR

          static final java.lang.String SCRIPT_COMP_DIR

      See Also:
        Constant Field Values

    - #### COMPONENT_NAME

          static final java.lang.String COMPONENT_NAME

      See Also:
        Constant Field Values

    - #### COMPONENT

          static final java.lang.String COMPONENT

      See Also:
        Constant Field Values

    - #### CONNECTED_NODES

          static final java.lang.String CONNECTED_NODES

      See Also:
        Constant Field Values

    - #### CONNECTED_NODES_WITH_LOCAL

          static final java.lang.String CONNECTED_NODES_WITH_LOCAL

      See Also:
        Constant Field Values

    - #### EVENTBUS

          static final java.lang.String EVENTBUS

      See Also:
        Constant Field Values

    - #### SERVICES_MAP

          static final java.lang.String SERVICES_MAP

      See Also:
        Constant Field Values

    - #### SCRIPT_DESCRIPTION

          static final java.lang.String SCRIPT_DESCRIPTION

      See Also:
        Constant Field Values

    - #### SCRIPT_ID

          static final java.lang.String SCRIPT_ID

      See Also:
        Constant Field Values

    - #### SCRIPT_COMPONENT

          static final java.lang.String SCRIPT_COMPONENT

      See Also:
        Constant Field Values

    - #### SCRIPT_CLASS

          static final java.lang.String SCRIPT_CLASS

      See Also:
        Constant Field Values

    - #### SCRIPT_GROUP

          static final java.lang.String SCRIPT_GROUP

      See Also:
        Constant Field Values

    - #### LANGUAGE

          static final java.lang.String LANGUAGE

      See Also:
        Constant Field Values

    - #### COMMAND_ID

          static final java.lang.String COMMAND_ID

      See Also:
        Constant Field Values

    - #### SCRIPT_TEXT

          static final java.lang.String SCRIPT_TEXT

      See Also:
        Constant Field Values

    - #### SCRIPT_RESULT

          static final java.lang.String SCRIPT_RESULT

      See Also:
        Constant Field Values

    - #### DESCRIPT

          static final java.lang.String DESCRIPT

      See Also:
        Constant Field Values

    - #### GROUP

          static final java.lang.String GROUP

      See Also:
        Constant Field Values

    - #### SAVE_TO_DISK

          static final java.lang.String SAVE_TO_DISK

      See Also:
        Constant Field Values

    - #### REMOVE_FROM_DISK

          static final java.lang.String REMOVE_FROM_DISK

      See Also:
        Constant Field Values

    - #### PACKET

          static final java.lang.String PACKET

      See Also:
        Constant Field Values

    - #### ADD_SCRIPT_CMD

          static final java.lang.String ADD_SCRIPT_CMD

      See Also:
        Constant Field Values

    - #### DEL_SCRIPT_CMD

          static final java.lang.String DEL_SCRIPT_CMD

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getBindings

          javax.script.Bindings getBindings()

    - #### getCommandId

          java.lang.String getCommandId()

    - #### getDescription

          java.lang.String getDescription()

    - #### getGroup

          java.lang.String getGroup()

    - #### init

          void init​(java.lang.String id,
                    java.lang.String description,
                    java.lang.String group)

    - #### isAdminOnly

          boolean isAdminOnly()

    - #### setAdminOnly

          void setAdminOnly​(boolean adminOnly)

    - #### runCommand

          void runCommand​(Iq packet,
                          javax.script.Bindings binds,
                          java.util.Queue<Packet> results)